FROM openjdk:8u212-jre-alpine
ENV SPRING_PROFILES_ACTIVE=dev
ENV  TIME_ZONE=Asia/Shanghai
RUN sed -i 's/dl-cdn.alpinelinux.org/mirrors.ustc.edu.cn/' /etc/apk/repositories
RUN apk add --update font-adobe-100dpi ttf-dejavu fontconfig
RUN apk update && apk add --no-cache tzdata curl\
&& echo "${TIME_ZONE}" > /etc/timezone \
&& ln -sf /usr/share/zoneinfo/${TIME_ZONE} /etc/localtime
COPY ./target/ebpm-process-rest-1.0.0-SNAPSHOT.jar /
WORKDIR /
EXPOSE 8081
CMD ["java","-jar","ebpm-process-rest-1.0.0-SNAPSHOT.jar"]